# PSF-LoginServer - master - net.psforever.services.account.AccountPersistenceService
PSF - LoginServer - master - net.psforever.services.account.AccountPersistenceService
Keywords: PSF LoginServer master net.psforever.services.account.AccountPersistenceService

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  package account
  Definition Classes
    services
- AccountIntermediaryService
- AccountPersistenceService
- IPAddress
- PersistenceMonitor
- PlayerToken
- ReceiveAccountData
- ReceiveIPAddress
- RetrieveAccountData
- RetrieveIPAddress
- StoreAccountData
- StoreIPAddress

o

net.psforever.services.account

# AccountPersistenceService 

###
Companion class AccountPersistenceService

#### object AccountPersistenceService

Source
  AccountPersistenceService.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AccountPersistenceService
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  final case class Kick (name: String, time: Option[Long] = None) extends Product with Serializable
2.  final case class Login (name: String) extends Product with Serializable

   Message to begin persistence monitoring of user with this text descriptor (player name).

   Message to begin persistence monitoring of user with this text descriptor (player name). If the persistence monitor already exists, use that instead and synchronize the data.

   name

     the unique name of the player

3.  final case class Logout (name: String) extends Product with Serializable

   Message that indicates that persistence is no longer necessary for this player character.

   Message that indicates that persistence is no longer necessary for this player character.

   name

     the unique name of the player

4.  final case class PersistDelay (name: String, time: Option[Long]) extends Product with Serializable

   Update the persistence monitor that was setup for a user for a custom persistence delay.

   Update the persistence monitor that was setup for a user for a custom persistence delay. If set to `None`, the default persistence time should assert itself.

   name

     the unique name of the player

   time

     the duration that this user's player characters will persist without update in seconds

5.  final case class Update (name: String, zone: Zone, position: Vector3) extends Product with Serializable

   Update the persistence monitor that was setup for a user with the given text descriptor (player name).

   Update the persistence monitor that was setup for a user with the given text descriptor (player name). The player's name should be able to satisfy the condition:
   `zone.LivePlayers.exists(p => p.Name.equals(name))`

   name

     the unique name of the player

   zone

     the current zone the player is in

   position

     the location of the player in game world coordinates

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
16.  def toString(): String
    Definition Classes
      AnyRef → Any
17.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
18.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped